# Class ApcomplexField

java.lang.Object
java.lang.Number
org.jscience.mathematics.number.Number<ApcomplexField>
org.apfloat.jscience.AbstractField<ApcomplexField, Apcomplex>
org.apfloat.jscience.ApcomplexField

All Implemented Interfaces:
  `Serializable, Comparable<ApcomplexField>, Immutable, Realtime, ValueType, XMLSerializable, Field<ApcomplexField>, GroupAdditive<ApcomplexField>, GroupMultiplicative<ApcomplexField>, Ring<ApcomplexField>, Structure<ApcomplexField>`

public class ApcomplexField extends AbstractField<ApcomplexField, Apcomplex>
This class represents an arbitrary precision complex number.

The precision of each calculation is determined separately, which means that loss of precision can easily accumulate in complicated calculations (e.g. matrix inversion). If this should be avoided, and a fixed precision is required, then it may be better to use `FixedPrecisionApcomplexField` instead.

Since:
  1.8.0
Version:
  1.15.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApcomplexField(Apcomplex value)`
  Constructs a new complex field object with the specified value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApcomplexField`
  `copy()`
  Returns a copy of this object.
  `ApcomplexField`
  `inverse()`
  Returns the multiplicative inverse of this object.
  `ApcomplexField`
  `opposite()`
  Returns the additive inverse of this object.
  `ApcomplexField`
  `plus(ApcomplexField that)`
  Returns the sum of this object with the one specified.
  `ApcomplexField`
  `times(ApcomplexField that)`
  Returns the product of this object with the one specified.

  ### Methods inherited from class AbstractField

  `compareTo, doubleValue, equals, hashCode, isLargerThan, longValue, toText, value`

  ### Methods inherited from class Number

  `byteValue, floatValue, intValue, isGreaterThan, isLessThan, minus, pow, shortValue, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ApcomplexField

    public ApcomplexField(Apcomplex value)
    Constructs a new complex field object with the specified value.
    Parameters:
      `value` - The value.

- ## Method Details

  - ### plus

    public ApcomplexField plus(ApcomplexField that)
    Description copied from class: `AbstractField`
    Returns the sum of this object with the one specified.
    Specified by:
      `plus` in interface `GroupAdditive<ApcomplexField>`
    Specified by:
      `plus` in class `AbstractField<ApcomplexField, Apcomplex>`
    Parameters:
      `that` - The addend.
    Returns:
      `this + that`

  - ### opposite

    public ApcomplexField opposite()
    Description copied from class: `AbstractField`
    Returns the additive inverse of this object.
    Specified by:
      `opposite` in interface `GroupAdditive<ApcomplexField>`
    Specified by:
      `opposite` in class `AbstractField<ApcomplexField, Apcomplex>`
    Returns:
      `-this`

  - ### times

    public ApcomplexField times(ApcomplexField that)
    Description copied from class: `AbstractField`
    Returns the product of this object with the one specified.
    Specified by:
      `times` in interface `GroupMultiplicative<ApcomplexField>`
    Specified by:
      `times` in interface `Ring<ApcomplexField>`
    Specified by:
      `times` in class `AbstractField<ApcomplexField, Apcomplex>`
    Parameters:
      `that` - The multiplicand.
    Returns:
      `this * that`

  - ### inverse

    public ApcomplexField inverse() throws ArithmeticException
    Description copied from class: `AbstractField`
    Returns the multiplicative inverse of this object.
    Specified by:
      `inverse` in interface `GroupMultiplicative<ApcomplexField>`
    Specified by:
      `inverse` in class `AbstractField<ApcomplexField, Apcomplex>`
    Returns:
      `1 / this`
    Throws:
      `ArithmeticException` - If the divisor is zero.

  - ### copy

    public ApcomplexField copy()
    Description copied from class: `AbstractField`
    Returns a copy of this object.
    Specified by:
      `copy` in interface `ValueType`
    Specified by:
      `copy` in class `AbstractField<ApcomplexField, Apcomplex>`
    Returns:
      A copy of this object.